Bug 309824

Summary: Patience crashes often when chose to play Yukon
Product: kdelibs Reporter: Alan <alan>
Component: kshareddatacacheAssignee: kdelibs bugs <kdelibs-bugs>
Status: RESOLVED WORKSFORME    
Severity: crash CC: a.nolting, andy75043, bugs.kde.org, BugZilla, coates, cr, donnie126_2002, jamesthirteen13, Jon.Ahlquist, jp.platek, jwjstone, kde-games-bugs, kitchm, kolb.john79, lmpetrie, matthew, maximwic, mpyne, odila, okanaganred, stefan, stevenschmidt, yannick.dissart
Priority: NOR    
Version: 4.9.3   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
See Also: https://bugs.kde.org/show_bug.cgi?id=284770
https://bugs.kde.org/show_bug.cgi?id=299714
https://bugs.kde.org/show_bug.cgi?id=310111
Latest Commit: Version Fixed In:
Attachments: New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi

Description Alan 2012-11-09 20:00:27 UTC
Application: kpat (3.6)
KDE Platform Version: 4.8.5 (4.8.5)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-33-generic i686
Distribution: Ubuntu 12.04.1 LTS

-- Information about the crash:
It seems that more often than not, that when I open patience and select to play Yukon, the whole programme crashes.  If I choose one of the other games, it seems to work fine, even when  I subsequently elect to play Yukon.

The crash can be reproduced some of the time.

-- Backtrace:
Application: KPatience (kpat), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xb7749740 (LWP 9403))]

Thread 3 (Thread 0xb639fb40 (LWP 9406)):
#0  0x03050931 in g_private_get () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0x03034c84 in g_thread_self () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0x030101b7 in g_main_context_acquire () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x03010f58 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x0301156b in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0x0723b134 in ?? () from /usr/lib/i386-linux-gnu/gio/modules/libdconfsettings.so
#6  0x030346b3 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0x06d21d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#8  0x0082dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 2 (Thread 0xb59ffb40 (LWP 9407)):
#0  0x02fe3606 in g_ptr_array_set_size () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0x03010726 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0x03010faf in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x0301156b in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x01f221ba in ?? () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
#5  0x030346b3 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0x06d21d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#7  0x0082dd3e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 1 (Thread 0xb7749740 (LWP 9403)):
[KCrash Handler]
#7  0x011c4572 in lock (this=<optimized out>) at ../../kdecore/util/kshareddatacache.cpp:1231
#8  KSharedDataCache::Private::CacheLocker::cautiousLock (this=0xbf8dc984) at ../../kdecore/util/kshareddatacache.cpp:1255
#9  0x011c50ea in KSharedDataCache::Private::CacheLocker::CacheLocker (this=0xbf8dc984, _d=0x8deef48) at ../../kdecore/util/kshareddatacache.cpp:1278
#10 0x011bdf18 in KSharedDataCache::find (this=0x8c78e18, key=..., destination=0xbf8dc9e8) at ../../kdecore/util/kshareddatacache.cpp:1630
#11 0x00420738 in KImageCache::findPixmap (this=0x8c78e18, key=..., destination=0x8efbcec) at ../../kdeui/util/kimagecache.cpp:150
#12 0x00f68c46 in KAbstractCardDeckPrivate::requestPixmap (this=0x8aa2c38, id=49, faceUp=true) at ../../../kpat/libkcardgame/kabstractcarddeck.cpp:205
#13 0x00f68e8c in KAbstractCardDeck::cardPixmap (this=0x8b685b8, id=49, faceUp=true) at ../../../kpat/libkcardgame/kabstractcarddeck.cpp:506
#14 0x00f6b8ab in KCard::paint (this=0x8f3bcb8, painter=0xbf8dd538, option=0x8dee4f0, widget=0x8c28b68) at ../../../kpat/libkcardgame/kcard.cpp:319
#15 0x02b8d9ff in QGraphicsScenePrivate::draw (this=0x8dee3a0, item=0x8f3bcc0, painter=0xbf8dd538, viewTransform=0xbf8dd24c, transformPtr=0xbf8dcdf0, exposedRegion=0x8c2797c, widget=0x8c28b68, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=false) at graphicsview/qgraphicsscene.cpp:4964
#16 0x02b8e5bf in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x8dee3a0, item=0x8f3bcc0, painter=0xbf8dd538, viewTransform=0xbf8dd24c, exposedRegion=0x8c2797c, widget=0x8c28b68, parentOpacity=1, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4857
#17 0x02b8ee5f in QGraphicsScenePrivate::drawItems (this=0x8dee3a0, painter=0xbf8dd538, viewTransform=0xbf8dd24c, exposedRegion=0x8c2797c, widget=0x8c28b68) at graphicsview/qgraphicsscene.cpp:4739
#18 0x02bab360 in QGraphicsView::paintEvent (this=0x8c273c8, event=0xbf8dca84) at graphicsview/qgraphicsview.cpp:3471
#19 0x02528152 in QWidget::event (this=0x8c273c8, event=0xbf8ddbf4) at kernel/qwidget.cpp:8508
#20 0x02945e55 in QFrame::event (this=0x8c273c8, e=0xbf8ddbf4) at widgets/qframe.cpp:557
#21 0x029d8ab1 in QAbstractScrollArea::viewportEvent (this=0x8c273c8, e=0xbf8ddbf4) at widgets/qabstractscrollarea.cpp:1043
#22 0x02bac6ac in QGraphicsView::viewportEvent (this=0x8c273c8, event=0xbf8ddbf4) at graphicsview/qgraphicsview.cpp:2866
#23 0x029db1d6 in viewportEvent (this=<optimized out>, event=0xbf8ddbf4) at widgets/qabstractscrollarea_p.h:100
#24 eventFilter (e=0xbf8ddbf4, this=<optimized out>, o=<optimized out>) at widgets/qabstractscrollarea_p.h:116
#25 QAbstractScrollAreaFilter::eventFilter (this=0x8c28968, o=0x8c28b68, e=0xbf8ddbf4) at widgets/qabstractscrollarea_p.h:115
#26 0x078b5b16 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x8a68630, receiver=0x8c28b68, event=0xbf8ddbf4) at kernel/qcoreapplication.cpp:986
#27 0x024cdea2 in notify_helper (e=0xbf8ddbf4, receiver=0x8c28b68, this=0x8a68630) at kernel/qapplication.cpp:4555
#28 QApplicationPrivate::notify_helper (this=0x8a68630, receiver=0x8c28b68, e=0xbf8ddbf4) at kernel/qapplication.cpp:4531
#29 0x024d33a2 in QApplication::notify (this=0x8a68630, receiver=0x8c28b68, e=0xbf8ddbf4) at kernel/qapplication.cpp:4524
#30 0x003abe01 in KApplication::notify (this=0xbf8df5ac, receiver=0x8c28b68, event=0xbf8ddbf4) at ../../kdeui/kernel/kapplication.cpp:311
#31 0x078b597e in QCoreApplication::notifyInternal (this=0xbf8df5ac, receiver=0x8c28b68, event=0xbf8ddbf4) at kernel/qcoreapplication.cpp:876
#32 0x02523ada in sendSpontaneousEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#33 QWidgetPrivate::drawWidget (this=0x8c28c00, pdev=0x8e0bdb0, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8c7ea40) at kernel/qwidget.cpp:5585
#34 0x02524882 in QWidgetPrivate::paintSiblingsRecursive (this=0x8c27630, pdev=0x8e0bdb0, siblings=..., index=<optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8c7ea40) at kernel/qwidget.cpp:5794
#35 0x02523838 in QWidgetPrivate::drawWidget (this=0x8c27630, pdev=0x8e0bdb0, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8c7ea40) at kernel/qwidget.cpp:5638
#36 0x02524882 in QWidgetPrivate::paintSiblingsRecursive (this=0x8c16948, pdev=0x8e0bdb0, siblings=..., index=<optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8c7ea40) at kernel/qwidget.cpp:5794
#37 0x02523838 in QWidgetPrivate::drawWidget (this=0x8c16948, pdev=0x8e0bdb0, rgn=..., offset=..., flags=5, sharedPainter=0x0, backingStore=0x8c7ea40) at kernel/qwidget.cpp:5638
#38 0x0271cdc0 in QWidgetBackingStore::sync (this=0x8c7ea40) at painting/qbackingstore.cpp:1373
#39 0x025199db in QWidgetPrivate::syncBackingStore (this=0x8c16948) at kernel/qwidget.cpp:1891
#40 0x02528ae7 in QWidget::event (this=0x8c032d8, event=0x9085bb0) at kernel/qwidget.cpp:8655
#41 0x029632dc in QMainWindow::event (this=0x8c032d8, event=0x9085bb0) at widgets/qmainwindow.cpp:1478
#42 0x00487754 in KMainWindow::event (this=0x8c032d8, ev=0x9085bb0) at ../../kdeui/widgets/kmainwindow.cpp:1084
#43 0x004d0d82 in KXmlGuiWindow::event (this=0x8c032d8, ev=0x9085bb0) at ../../kdeui/xmlgui/kxmlguiwindow.cpp:126
#44 0x024cded4 in notify_helper (e=0x9085bb0, receiver=0x8c032d8, this=0x8a68630) at kernel/qapplication.cpp:4559
#45 QApplicationPrivate::notify_helper (this=0x8a68630, receiver=0x8c032d8, e=0x9085bb0) at kernel/qapplication.cpp:4531
#46 0x024d33a2 in QApplication::notify (this=0x8a68630, receiver=0x8c032d8, e=0x9085bb0) at kernel/qapplication.cpp:4524
#47 0x003abe01 in KApplication::notify (this=0xbf8df5ac, receiver=0x8c032d8, event=0x9085bb0) at ../../kdeui/kernel/kapplication.cpp:311
#48 0x078b597e in QCoreApplication::notifyInternal (this=0xbf8df5ac, receiver=0x8c032d8, event=0x9085bb0) at kernel/qcoreapplication.cpp:876
#49 0x078b9ad8 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#50 QCoreApplicationPrivate::sendPostedEvents (receiver=0x8c032d8, event_type=77, data=0x8a41c18) at kernel/qcoreapplication.cpp:1500
#51 0x078b9e0c in QCoreApplication::sendPostedEvents (receiver=0x8c032d8, event_type=77) at kernel/qcoreapplication.cpp:1393
#52 0x02b83396 in dispatchPendingUpdateRequests (this=0x8c27630) at ../../include/QtGui/private/../../../src/gui/graphicsview/qgraphicsview_p.h:200
#53 QGraphicsScenePrivate::_q_processDirtyItems (this=0x8dee3a0) at graphicsview/qgraphicsscene.cpp:515
#54 0x02b834db in qt_static_metacall (_a=0x8c71d40, _id=14, _o=0x8deefd8, _c=<optimized out>) at .moc/release-shared/moc_qgraphicsscene.cpp:107
#55 QGraphicsScene::qt_static_metacall (_o=0x8deefd8, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0x8c71d40) at .moc/release-shared/moc_qgraphicsscene.cpp:86
#56 0x078c7c01 in QMetaCallEvent::placeMetaCall (this=0x9110958, object=0x8deefd8) at kernel/qobject.cpp:525
#57 0x078d0c7b in QObject::event (this=0x8deefd8, e=0x9110958) at kernel/qobject.cpp:1195
#58 0x02b8a1e0 in QGraphicsScene::event (this=0x8deefd8, event=0x9110958) at graphicsview/qgraphicsscene.cpp:3565
#59 0x024cded4 in notify_helper (e=0x9110958, receiver=0x8deefd8, this=0x8a68630) at kernel/qapplication.cpp:4559
#60 QApplicationPrivate::notify_helper (this=0x8a68630, receiver=0x8deefd8, e=0x9110958) at kernel/qapplication.cpp:4531
#61 0x024d330d in QApplication::notify (this=0x9110958, receiver=0x8deefd8, e=0x9110958) at kernel/qapplication.cpp:4288
#62 0x003abe01 in KApplication::notify (this=0xbf8df5ac, receiver=0x8deefd8, event=0x9110958) at ../../kdeui/kernel/kapplication.cpp:311
#63 0x078b597e in QCoreApplication::notifyInternal (this=0xbf8df5ac, receiver=0x8deefd8, event=0x9110958) at kernel/qcoreapplication.cpp:876
#64 0x078b9ad8 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#65 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8a41c18) at kernel/qcoreapplication.cpp:1500
#66 0x078b9e0c in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1393
#67 0x078e8494 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#68 postEventSourceDispatch (s=0x8a6ac00) at kernel/qeventdispatcher_glib.cpp:279
#69 0x03010d86 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#70 0x03011125 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#71 0x03011201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#72 0x078e8887 in QEventDispatcherGlib::processEvents (this=0x8a42780, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#73 0x02586aaa in QGuiEventDispatcherGlib::processEvents (this=0x8a42780, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#74 0x078b450d in QEventLoop::processEvents (this=0xbf8df4b4, flags=...) at kernel/qeventloop.cpp:149
#75 0x078b47a9 in QEventLoop::exec (this=0xbf8df4b4, flags=...) at kernel/qeventloop.cpp:204
#76 0x078b9eba in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#77 0x024cba74 in QApplication::exec () at kernel/qapplication.cpp:3820
#78 0x0805b8ac in main (argc=152077992, argv=0x0) at ../../kpat/main.cpp:325

Possible duplicates by query: bug 309692, bug 308099, bug 307328, bug 303310, bug 284770.

Reported using DrKonqi
Comment 1 Matthew Dawson 2012-11-25 17:38:58 UTC
Created attachment 75472 [details]
New crash information added by DrKonqi

kpat (3.6) on KDE Platform 4.9.2 using Qt 4.8.2

- What I was doing when the application crashed:

I had just finished playing 2 other patience games and when I attempted to start Yukon, it crashed.

-- Backtrace (Reduced):
#6  0x00007fc277c9594d in lock (this=<optimized out>) at /usr/src/debug/kde-base/kdelibs-4.9.2/kdelibs-4.9.2/kdecore/util/kshareddatacache.cpp:1231
#7  KSharedDataCache::Private::CacheLocker::cautiousLock (this=0x7fffc91d3d40) at /usr/src/debug/kde-base/kdelibs-4.9.2/kdelibs-4.9.2/kdecore/util/kshareddatacache.cpp:1255
#8  0x00007fc277c95fa0 in KSharedDataCache::Private::CacheLocker::CacheLocker (this=0x7fffc91d3d40, _d=<optimized out>) at /usr/src/debug/kde-base/kdelibs-4.9.2/kdelibs-4.9.2/kdecore/util/kshareddatacache.cpp:1278
#9  0x00007fc277c8dfde in KSharedDataCache::find (this=0x19f96e0, key=..., destination=0x7fffc91d3db0) at /usr/src/debug/kde-base/kdelibs-4.9.2/kdelibs-4.9.2/kdecore/util/kshareddatacache.cpp:1630
#10 0x00007fc2781e9b32 in KImageCache::findPixmap (this=0x19f96e0, key=..., destination=0x1972ac8) at /usr/src/debug/kde-base/kdelibs-4.9.2/kdelibs-4.9.2/kdeui/util/kimagecache.cpp:150
Comment 2 Maxim Bogdanov 2012-12-03 19:10:41 UTC
Created attachment 75613 [details]
New crash information added by DrKonqi

kpat (3.6) on KDE Platform 4.9.3 using Qt 4.8.3

- What I was doing when the application crashed: try to play Yukon and kpat crashes. Then i restart kpat and it works. Kpat crashes recently, but i cant find the key, or rule why it crashes

-- Backtrace (Reduced):
#7  0x44358be5 in lock (this=<optimized out>) at /usr/src/debug/kdelibs-4.9.3/kdecore/util/kshareddatacache.cpp:1231
#8  KSharedDataCache::Private::CacheLocker::cautiousLock (this=0xbfbf3a14) at /usr/src/debug/kdelibs-4.9.3/kdecore/util/kshareddatacache.cpp:1255
#9  0x443592eb in KSharedDataCache::Private::CacheLocker::CacheLocker (this=0xbfbf3a14, _d=0x868bc38) at /usr/src/debug/kdelibs-4.9.3/kdecore/util/kshareddatacache.cpp:1278
#10 0x44350179 in KSharedDataCache::find (this=0x886f3d8, key=..., destination=0xbfbf3a68) at /usr/src/debug/kdelibs-4.9.3/kdecore/util/kshareddatacache.cpp:1630
#11 0x473f01dc in KImageCache::findPixmap (this=0x886f3d8, key=..., destination=0xbfbf3ab8) at /usr/src/debug/kdelibs-4.9.3/kdeui/util/kimagecache.cpp:150
Comment 3 Jack Stone 2012-12-14 17:49:13 UTC
Created attachment 75834 [details]
New crash information added by DrKonqi

kpat (3.6) on KDE Platform 4.9.3 using Qt 4.8.3

- What I was doing when the application crashed:
I tried to play Yukon and the game simply closed. A quick look over the backtraces suggests that they are related

-- Backtrace (Reduced):
#6  0x0000003321631e7d in lock (this=<optimized out>) at /usr/src/debug/kdelibs-4.9.3/kdecore/util/kshareddatacache.cpp:1231
#7  KSharedDataCache::Private::CacheLocker::cautiousLock (this=0x7fff8ef7a330) at /usr/src/debug/kdelibs-4.9.3/kdecore/util/kshareddatacache.cpp:1255
#8  0x00000033216324d0 in KSharedDataCache::Private::CacheLocker::CacheLocker (this=0x7fff8ef7a330, _d=<optimized out>) at /usr/src/debug/kdelibs-4.9.3/kdecore/util/kshareddatacache.cpp:1278
#9  0x000000332162a4fe in KSharedDataCache::find (this=0x1dc46a0, key=..., destination=0x7fff8ef7a3a0) at /usr/src/debug/kdelibs-4.9.3/kdecore/util/kshareddatacache.cpp:1630
#10 0x00000033220a82f2 in KImageCache::findPixmap (this=0x1dc46a0, key=..., destination=0x7fff8ef7a400) at /usr/src/debug/kdelibs-4.9.3/kdeui/util/kimagecache.cpp:150
Comment 4 Christoph Feck 2013-02-02 00:16:21 UTC
*** Bug 313924 has been marked as a duplicate of this bug. ***
Comment 5 Christoph Feck 2013-02-02 00:17:19 UTC
*** Bug 310421 has been marked as a duplicate of this bug. ***
Comment 6 Jekyll Wu 2013-03-01 00:32:01 UTC
*** Bug 315929 has been marked as a duplicate of this bug. ***
Comment 7 Jekyll Wu 2013-06-20 09:46:08 UTC
*** Bug 321383 has been marked as a duplicate of this bug. ***
Comment 8 Christoph Feck 2013-07-08 00:39:33 UTC
*** Bug 321881 has been marked as a duplicate of this bug. ***
Comment 9 Christoph Feck 2013-07-08 00:39:59 UTC
*** Bug 322092 has been marked as a duplicate of this bug. ***
Comment 10 Jekyll Wu 2013-08-07 02:41:23 UTC
*** Bug 323249 has been marked as a duplicate of this bug. ***
Comment 11 Jekyll Wu 2013-08-19 04:18:25 UTC
*** Bug 323698 has been marked as a duplicate of this bug. ***
Comment 12 Jekyll Wu 2013-11-28 15:39:50 UTC
*** Bug 328177 has been marked as a duplicate of this bug. ***
Comment 13 Jekyll Wu 2014-01-26 04:01:01 UTC
*** Bug 329564 has been marked as a duplicate of this bug. ***
Comment 14 Jekyll Wu 2014-01-26 04:01:05 UTC
*** Bug 330402 has been marked as a duplicate of this bug. ***
Comment 15 Jekyll Wu 2014-01-26 04:02:05 UTC
*** Bug 308099 has been marked as a duplicate of this bug. ***
Comment 16 Jekyll Wu 2014-02-03 13:30:01 UTC
*** Bug 330699 has been marked as a duplicate of this bug. ***
Comment 17 Jekyll Wu 2014-03-22 06:07:54 UTC
*** Bug 332393 has been marked as a duplicate of this bug. ***
Comment 18 JAMES 2014-05-08 15:47:17 UTC
Created attachment 86530 [details]
New crash information added by DrKonqi

kpat (3.6) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed:

I just finished Spider and was selecting Klondike when the crash occurred.

-- Backtrace (Reduced):
#6  0x00007fca4d3fed45 in lock (this=<optimized out>) at ../../kdecore/util/kshareddatacache.cpp:1231
#7  KSharedDataCache::Private::CacheLocker::cautiousLock (this=0x7fff6821acd0) at ../../kdecore/util/kshareddatacache.cpp:1255
#8  0x00007fca4d3ff8d0 in KSharedDataCache::Private::CacheLocker::CacheLocker (this=0x7fff6821acd0, _d=<optimized out>) at ../../kdecore/util/kshareddatacache.cpp:1278
#9  0x00007fca4d3f8ed6 in KSharedDataCache::find (this=0x10ffbe0, key=..., destination=0x7fff6821ad40) at ../../kdecore/util/kshareddatacache.cpp:1630
#10 0x00007fca4d9348af in KImageCache::findPixmap (this=0x10ffbe0, key=..., destination=0x2953ef8) at ../../kdeui/util/kimagecache.cpp:150
Comment 19 Christoph Feck 2014-06-25 09:29:15 UTC
*** Bug 334969 has been marked as a duplicate of this bug. ***
Comment 20 Christoph Feck 2014-08-18 13:38:11 UTC
*** Bug 337818 has been marked as a duplicate of this bug. ***
Comment 21 Simon Reed 2014-09-06 20:15:13 UTC
* Copied and pasted from the KDE Crash Handler which failed to post the error. *

Application: kpat (3.6)
KDE Platform Version: 4.13.3
Qt Version: 4.8.6
Operating System: Linux 3.13.0-35-generic x86_64
Distribution: Ubuntu 14.04.1 LTS

-- Information about the crash:
- What I was doing when the application crashed:

I have played Yukon over 1,900 times and the other games a few hundred times and this is the first time it has crashed.

I started a Yukon game and, before making any moves, unmaximised the window and dragged it to the bottom of the screen.  It then crashed.

What I am doing differently:
On my 2-screen setup, I have my main monitor in portrait mode rather than landscape mode.  The Yukon game extended beyond the right hand-side of the window (the next thing I was going to do was resize the window to see if it made it redraw the cards to fit). I don't think I have ever played it in portrait mode before.

Application: KPatience Version 3.6
KDE Development Platform: 4.13.3
Linux Release: Ubuntu 14.04 (trusty)
GNOME: 3.8.4
Kernel: 3.13.0-35-generic
GCC version: 4.8 (x86_64-linux-gnu)

-- Backtrace:
Application: KPatience (kpat), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f431975a7c0 (LWP 21537))]

Thread 3 (Thread 0x7f42fdccf700 (LWP 21538)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f43177bb7f4 in wait (time=30000, this=0x11f7670) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x107cd90, mutex=mutex@entry=0xf5a088, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f43177af0fa in QThreadPoolThread::run (this=0x107cd80) at concurrent/qthreadpool.cpp:142
#4  0x00007f43177bb32f in QThreadPrivate::start (arg=0x107cd80) at thread/qthread_unix.cpp:349
#5  0x00007f43126e0182 in start_thread (arg=0x7f42fdccf700) at pthread_create.c:312
#6  0x00007f43161aafbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 2 (Thread 0x7f42f7def700 (LWP 21539)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f43177bb7f4 in wait (time=30000, this=0x1349eb0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x11f6b20, mutex=mutex@entry=0xf5a088, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f43177af0fa in QThreadPoolThread::run (this=0x11f6b10) at concurrent/qthreadpool.cpp:142
#4  0x00007f43177bb32f in QThreadPrivate::start (arg=0x11f6b10) at thread/qthread_unix.cpp:349
#5  0x00007f43126e0182 in start_thread (arg=0x7f42f7def700) at pthread_create.c:312
#6  0x00007f43161aafbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7f431975a7c0 (LWP 21537)):
[KCrash Handler]
#6  0x00007f4317e42005 in lock (this=0x17a97c0) at ../../kdecore/util/kshareddatacache.cpp:1235
#7  cautiousLock (this=<optimized out>) at ../../kdecore/util/kshareddatacache.cpp:1259
#8  CacheLocker (_d=0x17a97c0, this=<synthetic pointer>) at ../../kdecore/util/kshareddatacache.cpp:1309
#9  KSharedDataCache::find (this=this@entry=0x17aa990, key=..., destination=destination@entry=0x7fff2b3564a0) at ../../kdecore/util/kshareddatacache.cpp:1606
#10 0x00007f43185c8ab5 in KImageCache::findPixmap (this=0x17aa990, key=..., destination=0x1f97478) at ../../kdeui/util/kimagecache.cpp:150
#11 0x0000000000458b17 in ?? ()
#12 0x0000000000458cf0 in KAbstractCardDeck::cardPixmap(unsigned int, bool) ()
#13 0x000000000045b7d2 in KCard::paint(QPainter*, QStyleOptionGraphicsItem const*, QWidget*) ()
#14 0x00007f4317230de7 in QGraphicsScenePrivate::draw (this=this@entry=0x1d534e0, item=item@entry=0x1f96df0, painter=painter@entry=0x7fff2b356ae0, viewTransform=viewTransform@entry=0x7fff2b356b90, transformPtr=transformPtr@entry=0x7fff2b356820, exposedRegion=exposedRegion@entry=0x1012148, widget=0x1010b60, opacity=opacity@entry=1, effectTransform=effectTransform@entry=0x0, wasDirtyParentSceneTransform=wasDirtyParentSceneTransform@entry=true, drawItem=true) at graphicsview/qgraphicsscene.cpp:4964
#15 0x00007f4317231ba5 in QGraphicsScenePrivate::drawSubtreeRecursive (this=this@entry=0x1d534e0, item=0x1f96df0, painter=painter@entry=0x7fff2b356ae0, viewTransform=viewTransform@entry=0x7fff2b356b90, exposedRegion=exposedRegion@entry=0x1012148, widget=widget@entry=0x1010b60, parentOpacity=parentOpacity@entry=1, effectTransform=effectTransform@entry=0x0) at graphicsview/qgraphicsscene.cpp:4857
#16 0x00007f4317232256 in QGraphicsScenePrivate::drawItems (this=0x1d534e0, painter=painter@entry=0x7fff2b356ae0, viewTransform=viewTransform@entry=0x7fff2b356b90, exposedRegion=exposedRegion@entry=0x1012148, widget=0x1010b60) at graphicsview/qgraphicsscene.cpp:4739
#17 0x00007f431724f9ae in QGraphicsView::paintEvent (this=<optimized out>, event=<optimized out>) at graphicsview/qgraphicsview.cpp:3471
#18 0x00007f4316ca12f0 in QWidget::event (this=this@entry=0xfe2a10, event=event@entry=0x7fff2b357170) at kernel/qwidget.cpp:8533
#19 0x00007f4317042fce in QFrame::event (this=0xfe2a10, e=0x7fff2b357170) at widgets/qframe.cpp:557
#20 0x00007f431724e7b9 in QGraphicsView::viewportEvent (this=0xfe2a10, event=0x7fff2b357170) at graphicsview/qgraphicsview.cpp:2866
#21 0x00007f43178bd646 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=this@entry=0xd6ada0, receiver=receiver@entry=0x1010b60, event=event@entry=0x7fff2b357170) at kernel/qcoreapplication.cpp:1063
#22 0x00007f4316c51e0c in QApplicationPrivate::notify_helper (this=this@entry=0xd6ada0, receiver=receiver@entry=0x1010b60, e=e@entry=0x7fff2b357170) at kernel/qapplication.cpp:4563
#23 0x00007f4316c584a0 in QApplication::notify (this=this@entry=0x7fff2b358700, receiver=receiver@entry=0x1010b60, e=e@entry=0x7fff2b357170) at kernel/qapplication.cpp:4353
#24 0x00007f4318569d1a in KApplication::notify (this=0x7fff2b358700, receiver=0x1010b60, event=0x7fff2b357170) at ../../kdeui/kernel/kapplication.cpp:311
#25 0x00007f43178bd4dd in QCoreApplication::notifyInternal (this=0x7fff2b358700, receiver=receiver@entry=0x1010b60, event=event@entry=0x7fff2b357170) at kernel/qcoreapplication.cpp:953
#26 0x00007f4316c9ba11 in sendSpontaneousEvent (event=0x7fff2b357170, receiver=0x1010b60) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#27 QWidgetPrivate::drawWidget (this=this@entry=0x1010b90, pdev=pdev@entry=0x234b0b0, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x1096090) at kernel/qwidget.cpp:5599
#28 0x00007f4316c9c440 in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x1011cc0, pdev=pdev@entry=0x234b0b0, siblings=..., index=<optimized out>, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x1096090) at kernel/qwidget.cpp:5808
#29 0x00007f4316c9b5cc in QWidgetPrivate::drawWidget (this=this@entry=0x1011cc0, pdev=pdev@entry=0x234b0b0, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x1096090) at kernel/qwidget.cpp:5652
#30 0x00007f4316c9c440 in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x100a860, pdev=pdev@entry=0x234b0b0, siblings=..., index=<optimized out>, index@entry=10, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x1096090) at kernel/qwidget.cpp:5808
#31 0x00007f4316c9c2af in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x100a860, pdev=pdev@entry=0x234b0b0, siblings=..., index=10, index@entry=12, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x1096090) at kernel/qwidget.cpp:5795
#32 0x00007f4316c9c2af in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x100a860, pdev=pdev@entry=0x234b0b0, siblings=..., index=12, index@entry=18, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x1096090) at kernel/qwidget.cpp:5795
#33 0x00007f4316c9c2af in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x100a860, pdev=pdev@entry=0x234b0b0, siblings=..., index=18, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x1096090) at kernel/qwidget.cpp:5795
#34 0x00007f4316c9b5cc in QWidgetPrivate::drawWidget (this=0x100a860, pdev=0x234b0b0, rgn=..., offset=..., flags=flags@entry=5, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x1096090) at kernel/qwidget.cpp:5652
#35 0x00007f4316e5e8ae in QWidgetBackingStore::sync (this=0x1096090) at painting/qbackingstore.cpp:1373
#36 0x00007f4316c90ea0 in QWidgetPrivate::syncBackingStore (this=this@entry=0x100a860) at kernel/qwidget.cpp:1894
#37 0x00007f4316ccaa03 in QETWidget::translateConfigEvent (this=this@entry=0x100a700, event=event@entry=0x7fff2b358170) at kernel/qapplication_x11.cpp:5798
#38 0x00007f4316ccbc1c in QApplication::x11ProcessEvent (this=0x7fff2b358700, event=event@entry=0x7fff2b358170) at kernel/qapplication_x11.cpp:3654
#39 0x00007f4316cf3b02 in x11EventSourceDispatch (s=0xd5c690, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#40 0x00007f4312008e04 in g_main_dispatch (context=0xd6b250) at /build/buildd/glib2.0-2.40.0/./glib/gmain.c:3064
#41 g_main_context_dispatch (context=context@entry=0xd6b250) at /build/buildd/glib2.0-2.40.0/./glib/gmain.c:3663
#42 0x00007f4312009048 in g_main_context_iterate (context=context@entry=0xd6b250, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.40.0/./glib/gmain.c:3734
#43 0x00007f43120090ec in g_main_context_iteration (context=0xd6b250, may_block=1) at /build/buildd/glib2.0-2.40.0/./glib/gmain.c:3795
#44 0x00007f43178ea7a1 in QEventDispatcherGlib::processEvents (this=0xd044c0, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#45 0x00007f4316cf3bb6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#46 0x00007f43178bc0af in QEventLoop::processEvents (this=this@entry=0x7fff2b358540, flags=...) at kernel/qeventloop.cpp:149
#47 0x00007f43178bc3a5 in QEventLoop::exec (this=this@entry=0x7fff2b358540, flags=...) at kernel/qeventloop.cpp:204
#48 0x00007f43178c1b79 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1225
#49 0x000000000041faa1 in ?? ()
#50 0x00007f43160d1ec5 in __libc_start_main (main=0x41d9d0, argc=3, argv=0x7fff2b358878, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff2b358868) at libc-start.c:287
#51 0x0000000000420299 in _start ()

The reporter indicates this bug may be a duplicate of or related to bug 309824.

Possible duplicates by query: bug 336685, bug 334969, bug 333475, bug 332393, bug 330699.

Report to https://bugs.kde.org/
Comment 22 Andrew Crouthamel 2018-10-31 04:06:19 UTC
Dear Bug Submitter,

This bug has been stagnant for a long time. Could you help us out and re-test if the bug is valid in the latest version? I am setting the status to NEEDSINFO pending your response, please change the Status back to REPORTED when you respond.

Thank you for helping us make KDE software even better for everyone!
Comment 23 Bug Janitor Service 2018-11-15 10:39:25 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 24 Bug Janitor Service 2018-11-30 03:52:04 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!